"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getNodePrefix = getNodePrefix;
exports.getShapeName = getShapeName;
function getShapeName(clazz) {
  switch (clazz) {
    case 'START':
      return 'start-node';
    case 'END':
      return 'end-node';
    case 'NORMAL':
      return 'normal-node';
    case 'PARALLEL_SIGN':
      return 'parallel_sign-node';
    case 'SERIAL_MULTI_SIGN':
      return 'serial_sign-node';
    case 'SERVICE':
      return 'service-node';
    default:
      return 'task-node';
  }
}
function getNodePrefix(clazz) {
  switch (clazz) {
    case 'START':
      return 'startEvent';
    case 'END':
      return 'endEvent';
    // case 'NORMAL': return 'normal-node';
    // case 'PARALLEL_SIGN': return 'parallel_sign-node';
    case 'SERVICE':
      return 'service-node';
    default:
      return 'process-node';
  }
}