var Dom = {
  /**
   * 事件鼠标位置，是否包含在target中
   * @param {Element} target
   * @param {Event} evt
   */
  contains: function contains(target, evt) {
    if (!target) {
      return false;
    }
    var rect = target.getBoundingClientRect();
    return evt.clientX >= rect.left && evt.clientX <= rect.right && evt.clientY >= rect.top && evt.clientY <= rect.bottom;
  }
};
export default Dom;