// 文件类型
export var FILE_BUSI_TYPE = {
  // 上传文件的业务类型
  MAIN_BODY: '1',
  // 正文

  CONTRACT_EVID: '10',
  // 合同签订依据文件
  CONTRACT_TPL: '11',
  // 合同模板文件
  CONTRACT_NO_TPL: '12',
  //非合同模板文件
  AUDIT_OPINION_FILE: "13",
  //审核意见的附件
  CONFERENCE_SUMMARY: "15",
  //会议纪要的附件
  CONFERENCE_RECORD: '14',
  //会议纪要附件

  HEADER_IMG: '4',
  //头像
  LOGO_IMG: '5',
  //logo
  // MEET_ROOM: '6', //会议附件
  DISPATCH_TEMP: '7',
  //发文模板
  OVER_TEMP: '8',
  //套红模板
  PROCESS_STATUS: '20',
  //督办进展情况
  REPORT_ATTACH: '20',
  //报告材料

  MAIN_ATTACH: '2',
  // 正文附件
  FEEDBACK_MATERIAL: "21",
  //反馈材料
  OPINION_ATTACH: "22",
  //意见附件
  MEET_ROOM: '23',
  //会议附件
  MEET_ROOM_PLAN: "24",
  // 会议室平面图
  // MEET_ROOM_MULTI: "25",// 周期重复会议的会议附件

  PAPER_SUG: '3',
  // 纸质意见
  HAND_WRITTEN: '30',
  //用于手写的文件
  QR_CODE: '31',
  // 二维码
  QR_BAR_CODE: '32',
  // 二维条码
  HAND_WRITTEN_ARCH: '33',
  // 版式归档文件

  USER_DOC: '99',
  //帮助手册
  KING_PLUG: '98',
  //插件下载
  IM: 'im'
};

// 流向类型
export var FLOW_TYPE = {
  RETURN_MODIFY: '3'
};

// 选人方式
export var USER_CHOOSE_METHOD = {
  SINGLE: '1',
  MULTI: '2',
  ALL: '3'
};

// 流程状态
export var PROC_STATUS = [{
  name: '进行中',
  value: '1'
}, {
  name: '完成',
  value: '2'
}, {
  name: '挂起',
  value: '3'
}, {
  name: '终止',
  value: '4'
}, {
  name: '废弃',
  value: '5'
}];
export var InputTips = {
  TextInput: '请填写',
  TextArea: '请填写',
  NumberInput: '请填写',
  SearchInput: '请选择',
  RadioGroup: '请选择',
  CheckBoxGroup: '请选择',
  SelectInput: '请选择',
  MultiStageSelect: '请选择',
  DatePicker: '请选择',
  DateRangePicker: '请选择',
  TimePicker: '请选择',
  TimeRangePicker: '请选择',
  FileUpload: '请上传',
  ImageShow: '请上传',
  VideoShow: '请上传',
  RichText: '请填写',
  ChooseUser: '请选择',
  ChooseGroup: '请选择',
  TabPage: '请填写完成',
  TableWidget: '请填写完成',
  AttachList: '请上传'
};