var Storage = {
  setJson: function setJson(key, data) {
    window.localStorage.setItem(key, JSON.stringify(data));
  },
  getJson: function getJson(key) {
    try {
      var dataStr = window.localStorage.getItem(key);
      return dataStr ? JSON.parse(dataStr) : null;
    } catch (e) {
      return null;
    }
  }
};
export default Storage;