import { IBBox, INode, IShape, ModelConfig, ShapeOptions, ShapeStyle, UpdateType } from "@antv/g6";
import { INodeGroup } from "../interface";
export declare type ExtNodeDefine = ShapeOptions & {
    drawShape(cfg: ModelConfig, group: INodeGroup): IShape;
    drawKeyShape(cfg: ModelConfig, group: INodeGroup, style: ShapeStyle): IShape;
    drawControlPoints(cfg: ModelConfig, group: INodeGroup, bbox: IBBox): void;
    drawAnchor(group: INodeGroup, bbox: IBBox): void;
    drawBg(group: INodeGroup, bbox: IBBox): void;
    drawIcon(group: INodeGroup, bbox: IBBox): void;
    getShapeStyle(cfg: ModelConfig): ShapeStyle;
    getAnchorPoints(): number[][];
    getResizePoints(cfg: ModelConfig): number[][];
    update(cfg: ModelConfig, item: INode, updateType: UpdateType): void;
};
export default function node(): void;
