declare const defaultStyle: {
    nodeActivedOutterStyle: {
        lineWidth: number;
    };
    groupSelectedOutterStyle: {
        stroke: string;
        lineWidth: number;
    };
    nodeSelectedOutterStyle: {
        stroke: string;
        lineWidth: number;
    };
    edgeActivedStyle: {
        stroke: string;
        strokeOpacity: number;
    };
    nodeActivedStyle: {
        fill: string;
        stroke: string;
    };
    groupActivedStyle: {
        stroke: string;
    };
    edgeSelectedStyle: {
        lineWidth: number;
        strokeOpacity: number;
        stroke: string;
    };
    nodeSelectedStyle: {
        fill: string;
        stroke: string;
        fillOpacity: number;
    };
    groupSelectedStyle: {
        stroke: string;
        fillOpacity: number;
    };
    nodeStyle: {
        stroke: string;
        fill: string;
        shadowOffsetX: number;
        shadowOffsetY: number;
        shadowBlur: number;
        shadowColor: string;
        lineWidth: number;
        radius: number;
        strokeOpacity: number;
    };
    edgeStyle: {
        stroke: string;
        strokeOpacity: number;
        lineWidth: number;
        lineAppendWidth: number;
        endArrow: {
            path: string;
            d: number;
        };
    };
    groupBackgroundPadding: number[];
    groupLabelOffsetX: number;
    groupLabelOffsetY: number;
    edgeLabelStyle: {
        fill: string;
        textAlign: string;
        textBaseline: string;
    };
    edgeLabelRectPadding: number;
    edgeLabelRectStyle: {
        fill: string;
    };
    nodeLabelStyle: {
        fill: string;
        textAlign: string;
        textBaseline: string;
        wordBreak: string;
    };
    groupStyle: {
        stroke: string;
        radius: number;
    };
    groupLabelStyle: {
        fill: string;
        textAlign: string;
        textBaseline: string;
    };
    multiSelectRectStyle: {
        fill: string;
        fillOpacity: number;
        stroke: string;
        opacity: number;
    };
    dragNodeHoverToGroupStyle: {
        stroke: string;
        lineWidth: number;
    };
    dragNodeLeaveFromGroupStyle: {
        stroke: string;
        lineWidth: number;
    };
    anchorPointStyle: {
        radius: number;
        fill: string;
        stroke: string;
        lineAppendWidth: number;
    };
    anchorHotsoptStyle: {
        radius: number;
        fill: string;
        fillOpacity: number;
    };
    anchorHotsoptActivedStyle: {
        radius: number;
    };
    anchorPointHoverStyle: {
        radius: number;
        fill: string;
        fillOpacity: number;
        stroke: string;
    };
    nodeControlPointStyle: {
        radius: number;
        fill: string;
        shadowBlur: number;
        shadowColor: string;
    };
    edgeControlPointStyle: {
        radius: number;
        symbol: string;
        lineAppendWidth: number;
        fillOpacity: number;
        strokeOpacity: number;
    };
    nodeSelectedBoxStyle: {
        stroke: string;
    };
    cursor: {
        panningCanvas: string;
        beforePanCanvas: string;
        hoverNode: string;
        hoverEffectiveAnchor: string;
        hoverEdge: string;
        hoverGroup: string;
        hoverUnEffectiveAnchor: string;
        hoverEdgeControllPoint: string;
        multiSelect: string;
    };
    nodeDelegationStyle: {
        stroke: string;
        fill: string;
        fillOpacity: number;
        lineDash: number[];
        radius: number;
        lineWidth: number;
    };
    edgeDelegationStyle: {
        stroke: string;
        lineDash: number[];
        lineWidth: number;
    };
};
export default defaultStyle;
