import _extends from "@babel/runtime/helpers/esm/extends";
import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
import PluginBase from './base';
import { getShapeName } from "../util/clazz";
var ghost;
var getGhost = function getGhost() {
  if (!ghost) {
    ghost = document.createElement('div');
    ghost.style.cssText = "position:fixed;bottom:100%;";
    document.body.append(ghost);
  }
  return ghost;
};
var StencilPlugin = /*#__PURE__*/function (_PluginBase) {
  _inherits(StencilPlugin, _PluginBase);
  var _super = _createSuper(StencilPlugin);
  function StencilPlugin() {
    var _this;
    _classCallCheck(this, StencilPlugin);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _this.handleDragStart = function (e) {
      var graph = _this.get('graph');
      var target = e.target;
      var data = target.getAttribute('data-item');
      if (data) {
        var addModel = new Function('return ' + data)();
        var rect = target.getBoundingClientRect();
        var delegate = getGhost();
        delegate.innerHTML = target.outerHTML;
        e && e.dataTransfer && e.dataTransfer.setDragImage(delegate, rect.width / 2, rect.height / 2);
        graph.set('onDragAddNode', true);
        graph.set('addModel', _extends({}, addModel, {
          type: getShapeName(addModel.clazz)
        }));
      }
    };
    _this.handleDragEnd = function (e) {
      console.log('drag end');
      var graph = _this.get('graph');
      graph.emit('canvas:mouseup', e);
      graph.set('onDragAddNode', false);
      graph.set('addModel', null);
      ghost ? ghost.innerHTML = '' : '';
    };
    return _this;
  }
  _createClass(StencilPlugin, [{
    key: "init",
    value: function init() {
      var container = this.get('container');
      container.addEventListener('dragstart', this.handleDragStart);
      container.addEventListener('dragend', this.handleDragEnd);
    }
  }, {
    key: "destroy",
    value: function destroy() {
      var container = this.get('container');
      container.removeEventListener('dragstart', this.handleDragStart);
      container.removeEventListener('dragend', this.handleDragEnd);
      if (ghost) {
        document.body.removeChild(ghost);
        ghost = null;
      }
    }
  }]);
  return StencilPlugin;
}(PluginBase);
export { StencilPlugin as default };