var toString = Object.prototype.toString;
export var isType = function isType(type) {
  return function (obj) {
    return toString.call(obj) === "[object ".concat(type, "]");
  };
};
export var isString = isType('String');
export var isUndefined = isType('Undefined');
export var isNumber = isType('Number');
export var isEmpty = function isEmpty(obj) {
  return isUndefined(obj) || obj === null || obj === '';
};