import { Graph, INode, ModelConfig } from "@antv/g6";
import { FlowEdge, FlowNode } from "../interface";
export declare const clearSelected: (graph: Graph, emit?: boolean) => void;
export declare const setSelected: (graph: Graph, items: ModelConfig[]) => void;
export declare function uniqIdByDate(prefix?: string): string;
export declare const findEdgeAnchor: (paths: any[]) => {
    x: number;
    y: number;
    cursor: string;
} | null;
export declare const syncNodeGroup: (graph: Graph, sourceModel: FlowNode, targetModel: FlowNode) => void;
export declare const beforeAddNode: (graph: any, addModel: any) => void;
export declare const beforeAddEdge: (graph: Graph, source: INode, target: INode, addModel: FlowEdge) => void;
export declare const shouldConnect: (source: INode, target: INode) => boolean;
